Update a Configuration Password

post

/rest/{versionId}/configuration/device-configs/util/encrypt-password

Use this (POST) method to provide specific configuration required passwords. Devices may require additional passwords for some configuration elements so they can be modified. Refer to the device product documentation for more information about these additional passwords.

Request

Path Parameters
Back to Top

Response

200 Response

Ok.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to update a configuration password.

curl -X POST \
    -d @request.json \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/util/encrypt-password"

The following example shows how to use Python to update a configuration password.

import requests
import json
headers = {
	"Accept": "application/json",
	"Authorization": "Bearer <auth-token>"
}
with open("request.json") as f: data = json.load(f)
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/device-configs/util/encrypt-password"
resp = requests.post(url, headers=headers, data=data)

Example of the Request Body

The following shows an example of the contents of the request file sent as the request body.

{
  "configPassword": "****",
  "inputPassword": "****"
}

Example of the Response Body

The following example shows the contents of the response body.

02:BD:D9:C9:6E:BB: 70:E3:C9: 9B: 99: 83:AA:C7:DF: 99: 3D: 72:E8: 39: 64: 02:E4: 4D:D3
Back to Top